> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datacrazy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar listas



## OpenAPI

````yaml https://api.datacrazy.io/v1/api/openapi/v1/json get /api/v1/lists
openapi: 3.0.0
info:
  title: API CRM Datacrazy
  description: Versão 1.0 da API do CRM Datacrazy
  version: '1.0'
  contact: {}
servers:
  - url: https://api.g1.datacrazy.io
security: []
tags: []
paths:
  /api/v1/lists:
    get:
      tags:
        - Listas
      summary: Buscar listas
      operationId: ListsV1Controller_getAll
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/ListDto'
      security:
        - access-token: []
components:
  schemas:
    PaginatedResponseDto:
      type: object
      properties:
        count:
          type: number
          example: 100
      required:
        - count
    ListDto:
      type: object
      properties:
        id:
          type: string
          example: 382ab912-826a-4aa2-8462-e9ca8f71db94
          description: ID da lista
        name:
          type: string
          example: compradores recorrentes
          description: Nome da lista
        description:
          type: string
          example: Lista de cliente que compram há cada 3 meses
          description: Descrição da lista
        createdAt:
          format: date-time
          type: string
          example: '2025-03-05T17:10:34.158Z'
          description: Data de criação da lista
  securitySchemes:
    access-token:
      scheme: bearer
      bearerFormat: JWT
      type: http

````